Debian Bug report logs - #510895
perlivp fails

version graph

Package: perl; Maintainer for perl is Niko Tyni <ntyni@debian.org>; Source for perl is src:perl.

Reported by: Eric Wilhelm <ewilhelm@cpan.org>

Date: Mon, 5 Jan 2009 19:36:02 UTC

Severity: minor

Found in version perl/5.10.0-15

Fixed in version perl/5.10.0-20

Done: Niko Tyni <ntyni@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ewilhelm@cpan.org, Brendan O'Dea <bod@debian.org>:
Bug#510895; Package perl. (Mon, 05 Jan 2009 19:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eric Wilhelm <ewilhelm@cpan.org>:
New Bug report received and forwarded. Copy sent to ewilhelm@cpan.org, Brendan O'Dea <bod@debian.org>. (Mon, 05 Jan 2009 19:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eric Wilhelm <ewilhelm@cpan.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: perlivp fails
Date: Mon, 05 Jan 2009 11:32:28 -0800
Package: perl
Version: 5.10.0-15
Severity: minor


The `perlivp` program fails two of its tests.  One is due to the absence
of '/usr/local/lib/site_perl' and the other appears to be an artifact of
the build procedure having used a temporary directory as a prefix (e.g.
"files missing from installation:
/tmp/st-o67qmvRP/usr/local/lib/perl/...".)

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages perl depends on:
ii  libc6                         2.7-13     GNU C Library: Shared libraries
ii  libdb4.6                      4.6.21-11  Berkeley v4.6 Database Libraries [
ii  libgdbm3                      1.8.3-3    GNU dbm database routines (runtime
ii  perl-base                     5.10.0-15  minimal Perl system
ii  perl-modules                  5.10.0-15  Core Perl modules

Versions of packages perl recommends:
ii  netbase                       4.34       Basic TCP/IP networking system
ii  perl-doc                      5.10.0-15  Perl documentation

Versions of packages perl suggests:
pn  libterm-readline-gnu-perl | l <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#510895; Package perl. (Tue, 06 Jan 2009 13:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Tue, 06 Jan 2009 13:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 510895@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Eric Wilhelm <ewilhelm@cpan.org>, 510895@bugs.debian.org
Subject: Re: Bug#510895: perlivp fails
Date: Tue, 6 Jan 2009 15:21:57 +0200
On Mon, Jan 05, 2009 at 11:32:28AM -0800, Eric Wilhelm wrote:
> Package: perl
> Version: 5.10.0-15
> Severity: minor
 
> The `perlivp` program fails two of its tests.  One is due to the absence
> of '/usr/local/lib/site_perl' and the other appears to be an artifact of
> the build procedure having used a temporary directory as a prefix (e.g.
> "files missing from installation:
> /tmp/st-o67qmvRP/usr/local/lib/perl/...".)

I don't see the /tmp thing with the current version (-19), only these:

# Perl @INC directory `/usr/local/lib/perl/5.10.0' does not appear to exist.
# Perl @INC directory `/usr/local/share/perl/5.10.0' does not appear to exist.

We could create the directories in a postinst script, but I'm not sure
I see the point. They will be created automatically when installing
CPAN modules.

I see 'perlivp -a' is also missing quite a few .ph files.

# Perl header `stdio.ph' does not appear to be properly installed.
# Perl header `arpa/inet.ph' does not appear to be properly installed.

(and lots of others)

Quoting Brendan O'Dea:

> I reduced the headers which were processed to the minimum I believed
> necessary (debian/headers) based on a grep of require lines in the
> Debian packages at the time, supplied patches to h2lp and did some
> post-processing (debian/fixheaders) to fix problems.

See #510984 for some plans for the .ph files.
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Brendan O'Dea <bod@debian.org>:
Bug#510895; Package perl. (Fri, 09 Jan 2009 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Brendan O'Dea" <bod@c47.org>:
Extra info received and forwarded to list. Copy sent to Brendan O'Dea <bod@debian.org>. (Fri, 09 Jan 2009 13:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 510895@bugs.debian.org (full text, mbox):

From: "Brendan O'Dea" <bod@c47.org>
To: "Niko Tyni" <ntyni@debian.org>, 510895@bugs.debian.org
Cc: "Eric Wilhelm" <ewilhelm@cpan.org>
Subject: Re: Bug#510895: perlivp fails
Date: Sat, 10 Jan 2009 00:37:18 +1100
On Wed, Jan 7, 2009 at 12:21 AM, Niko Tyni <ntyni@debian.org> wrote:
> On Mon, Jan 05, 2009 at 11:32:28AM -0800, Eric Wilhelm wrote:
>> The `perlivp` program fails two of its tests.  One is due to the absence
>> of '/usr/local/lib/site_perl' and the other appears to be an artifact of
>> the build procedure having used a temporary directory as a prefix (e.g.
>> "files missing from installation:
>> /tmp/st-o67qmvRP/usr/local/lib/perl/...".)
>
> I don't see the /tmp thing with the current version (-19), only these:
>
> # Perl @INC directory `/usr/local/lib/perl/5.10.0' does not appear to exist.
> # Perl @INC directory `/usr/local/share/perl/5.10.0' does not appear to exist.
>
> We could create the directories in a postinst script, but I'm not sure
> I see the point. They will be created automatically when installing
> CPAN modules.

The directories are intentionally not created, as this way they are
excluded from the search path at start-up, saving a bunch of wasted
stats at use/require time in the common case that the user has not
installed any local packages.  As Niko points out, they will be
created as required.

We could perhaps consider patching perlivp to handle the optional @INC
case more cleanly.




Reply sent to Niko Tyni <ntyni@debian.org>:
You have taken responsibility. (Mon, 13 Apr 2009 12:18:24 GMT) Full text and rfc822 format available.

Notification sent to Eric Wilhelm <ewilhelm@cpan.org>:
Bug acknowledged by developer. (Mon, 13 Apr 2009 12:18:25 GMT) Full text and rfc822 format available.

Message #20 received at 510895-close@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 510895-close@bugs.debian.org
Subject: Bug#510895: fixed in perl 5.10.0-20
Date: Mon, 13 Apr 2009 12:02:19 +0000
Source: perl
Source-Version: 5.10.0-20

We believe that the bug you reported is fixed in the latest version of
perl, which is due to be installed in the Debian FTP archive:

libcgi-fast-perl_5.10.0-20_all.deb
  to pool/main/p/perl/libcgi-fast-perl_5.10.0-20_all.deb
perl-doc_5.10.0-20_all.deb
  to pool/main/p/perl/perl-doc_5.10.0-20_all.deb
perl-modules_5.10.0-20_all.deb
  to pool/main/p/perl/perl-modules_5.10.0-20_all.deb
perl_5.10.0-20.diff.gz
  to pool/main/p/perl/perl_5.10.0-20.diff.gz
perl_5.10.0-20.dsc
  to pool/main/p/perl/perl_5.10.0-20.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 510895@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niko Tyni <ntyni@debian.org> (supplier of updated perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 13 Apr 2009 00:01:02 +0300
Source: perl
Binary: perl-base libcgi-fast-perl perl-doc perl-modules perl-debug perl-suid libperl5.10 libperl-dev perl
Architecture: all source 
Version: 5.10.0-20
Distribution: experimental
Urgency: low
Maintainer: Brendan O'Dea <bod@debian.org>
Changed-By: Niko Tyni <ntyni@debian.org>
Closes: 320826 405470 444932 483150 493421 498807 498885 502297 505289 510895 511848 512036 512796 516289 517938 521256 522099 522673
Description:
 libcgi-fast-perl - CGI::Fast Perl module
 libperl5.10 - Shared Perl library
 libperl-dev - Perl library: development files
 perl-base  - minimal Perl system
 perl-debug - Debug-enabled Perl interpreter
 perl-doc   - Perl documentation
 perl       - Larry Wall's Practical Extraction and Report Language
 perl-modules - Core Perl modules
 perl-suid  - Runs setuid Perl scripts
Changes:
 perl (5.10.0-20) experimental; urgency=low
 .
   * Manage debian/patches with TopGit as documented in README.source.
     + tweak patch descriptions to consistently have a one-line subject
   * Fixes cherry-picked from upstream:
     + Elaborate a confusing cross-reference in 'perldoc -f sort'.
       (Closes: #405470)
     + Fix a crash on binary-or lvalue operation on qr//. (Closes: #483150)
     + Fix h2xs enum handling with C++ comments. (Closes: #320826)
     + Fix Data::Dumper::new() argument checking. (Closes: #512036)
     + setpgrp() no longer corrupts the stack. (Closes: #512796)
     + Document PERL_SYS_* macros. (Closes: #522099)
     + Fix pod2man to escape backslashes in .IX entries. (Closes: #521256)
     + Fix h2xs enum handling. (Closes: #502297)
     + Add a SEE ALSO section to perldoc.pod. (Closes: #444932)
   * Activate delayed-branch optimizations on hppa and mips again.
   * Disable ext/threads/shared/t/waithires.t on m68k due to missing TLS.
     (Closes: #517938)
   * Make perlivp skip include directories in /usr/local. (Closes: #510895)
   * Wrap overlong dependency lines in debian/control.
   * Add conflicts/replaces/provides for
     + libcpanplus-perl (Closes: #516289)
     + libsys-syslog-perl (Closes: #498885)
     + libcompress-zlib-perl
     + libcompress-raw-zlib-perl
     + libio-compress-zlib-perl
     + libio-compress-base-perl
     + libpod-escapes-perl
   * Version the build-conflict with libterm-readline-gnu-perl.
     (Closes: #498807)
   * Remove the Etch->Lenny upgrade specific conflicts introduced in 5.10.0-14.
   * Remove the obsolete replacement of libclass-multimethods-perl.
   * Remove the obsolete conflict with libapache-mod-perl.
   * Include copyright and license information for
     + the Unicode database (Closes: #493421)
     + the embedded zlib source in Compress::Raw::Zlib
     + the Cwd module
     + the C parts of File::Glob
   * Test .ph files during the build phase. Thanks to Kees Cook for the patch.
     (Closes: #511848)
     + fix h2ph to find <syslimits.h> again. (Closes: #522673)
   * Various lintian fixes and overrides, most importantly:
     + Use ${binary:Version} for arch:any->any dependencies.
     + Disable zlib bundling in Compress::Raw::Zlib.
       * needs a build-dependency on zlib1g-dev | libz-dev.
   * Include sysexits.ph. (Closes: #505289)
   * Upgrade to Standards-Version 3.8.1.
   * Upload to experimental to test the new h2ph checks.
Checksums-Sha1: 
 1655e8a957aeb1cb2a542437758bcb8b0bc65929 48046 libcgi-fast-perl_5.10.0-20_all.deb
 28b9920ae47949c8a5057a3848be0d005b2a31b0 8218572 perl-doc_5.10.0-20_all.deb
 2efb15f470f5abbee29e46bb85afb56fd82bad02 158509 perl_5.10.0-20.diff.gz
 7e4be5bb3ef680de0e0acaac80bfc190aa93ad05 3197800 perl-modules_5.10.0-20_all.deb
 c01fe2efee10d7864d351bdcb583ba369c0be552 1340 perl_5.10.0-20.dsc
Checksums-Sha256: 
 2c9102f9dfa26a8518025fa9dc005efc2307ffd6681588fbbc08fcb131ad6363 1340 perl_5.10.0-20.dsc
 3bf7fb523b9cb0f693e5397bbcf45f154044f13dd1e547ee7eb0a14c8b35c277 48046 libcgi-fast-perl_5.10.0-20_all.deb
 625b17884d69edf2d24dff0c9f4d6d4331b1091ba2297de362b3807a8243e4f0 3197800 perl-modules_5.10.0-20_all.deb
 a393ff74d43a0270fe596ab9c438de653a0a3d0bebbb7d34e745daf8e84b8c15 158509 perl_5.10.0-20.diff.gz
 a61b2653760e539cbac3731fd3de73c642caf6e6562ae2f9becd8466f7d934a9 8218572 perl-doc_5.10.0-20_all.deb
Files: 
 2c2b9c4471371682f5d554b5566211a2 48046 perl optional libcgi-fast-perl_5.10.0-20_all.deb
 7df6eb3eed620d278f5165ef98d65c16 8218572 doc optional perl-doc_5.10.0-20_all.deb
 996a8e2f329675779ed656069bdce43c 1340 perl standard perl_5.10.0-20.dsc
 e705915bc7ec8f310652cc2726a3d64e 158509 perl standard perl_5.10.0-20.diff.gz
 eff7879128d4dab5a1dfe095ad716f2d 3197800 perl standard perl-modules_5.10.0-20_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkniYoUACgkQiyizGWoHLTnWPwCfa+3mZf9jTT5y62zSsdKnNfBF
fUEAn05errsudCO7vpcaw4TUMa3BGE9i
=WlvI
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 02 Oct 2009 07:40:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:38:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.